AM263Px MCU+ SDK: mod_null.h File Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Structures | Macros | Typedefs | Functions
mod_null.h File Reference

## Introduction

This file contains the type definitions and helper macros for the "null" Ethernet Module interface.

Go to the source code of this file.

## Data Structures
struct | NullMod_Cfg
| Null Module configuration parameters. More...
struct | NullMod_Obj
| Null Module object. More...

## Macros
#define | ENET_NULLMOD_FEAT1 (ENET_BIT(0U))
#define | ENET_NULLMOD_ERRATA1 (ENET_BIT(0U))
#define | ENET_NULLMOD_ERRATA2 (ENET_BIT(1U))

## Typedefs
typedef struct NullMod_Obj_s * | NullMod_Handle
| Null Module handle. More...

## Functions
void | NullMod_initCfg (NullMod_Cfg *nullModCfg)
| Initialize Null module's configuration parameters. More...
int32_t | NullMod_open (NullMod_Handle hNull, Enet_Type enetType, uint32_t instId, const NullMod_Cfg *nullModCfg)
| Open and initialize the Null Module. More...
int32_t | NullMod_rejoin (NullMod_Handle hNull, Enet_Type enetType, uint32_t instId)
| Rejoin the Null Module. More...
int32_t | NullMod_ioctl (NullMod_Handle hNull, uint32_t cmd, Enet_IoctlPrms *prms)
| Issue an operation on the Null Module. More...
void | NullMod_close (NullMod_Handle hNull)
| Close the Null Module. More...

## Macro Definition Documentation

## ◆ ENET_NULLMOD_FEAT1

#define ENET_NULLMOD_FEAT1 (ENET_BIT(0U))

Null module dummy feature 1

## ◆ ENET_NULLMOD_ERRATA1

#define ENET_NULLMOD_ERRATA1 (ENET_BIT(0U))

Null module dummy errata 1

## ◆ ENET_NULLMOD_ERRATA2

#define ENET_NULLMOD_ERRATA2 (ENET_BIT(1U))

Null module dummy errata 2

## Typedef Documentation

## ◆ NullMod_Handle

typedef struct NullMod_Obj_s* NullMod_Handle

Null Module handle.

## Function Documentation

## ◆ NullMod_initCfg()

void NullMod_initCfg | ( | NullMod_Cfg * | nullModCfg | ) |

Initialize Null module's configuration parameters.

Initializes the configuration parameters for a Null module.

Parameters

  nullModCfg | Configuration parameters to be initialized

## ◆ NullMod_open()

int32_t NullMod_open | ( | NullMod_Handle | hNull,
|  | Enet_Type | enetType,
|  | uint32_t | instId,
|  | const NullMod_Cfg * | nullModCfg
| ) |  |

Open and initialize the Null Module.

Opens and initializes the Null Module with the configuration parameters provided by the caller.

Parameters

  hNull | Null Module handle
  enetType | Enet Peripheral type
  instId | Enet Peripheral instance id
  nullModCfg | Null Module Configuration parameters

Returns
  Enet_ErrorCodes

## ◆ NullMod_rejoin()

int32_t NullMod_rejoin | ( | NullMod_Handle | hNull,
|  | Enet_Type | enetType,
|  | uint32_t | instId
| ) |  |

Rejoin the Null Module.

Reopens the Null Module, but doesn't perform any hardware initialization. This function is expected to be called to attach to a running module.

Parameters

  hNull | Null Module handle
  enetType | Enet Peripheral type
  instId | Enet Peripheral instance id

Returns
  Enet_ErrorCodes

## ◆ NullMod_ioctl()

int32_t NullMod_ioctl | ( | NullMod_Handle | hNull,
|  | uint32_t | cmd,
|  | Enet_IoctlPrms * | prms
| ) |  |

Issue an operation on the Null Module.

Issues a control operation on the Null Module.

Parameters

  hNull | Null Module handle
  cmd | IOCTL command Id
  prms | IOCTL parameters

Returns
  Enet_ErrorCodes

## ◆ NullMod_close()

void NullMod_close | ( | NullMod_Handle | hNull | ) |

Close the Null Module.

Closes the Null Module.

Parameters

  hNull | Null Module handle